Bug 51257 - Lynx leaks memory.
Summary: Lynx leaks memory.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lynx (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-08 19:55 UTC by Kedar N Patankar
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-08 19:56:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kedar N Patankar 2001-08-08 19:55:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
When I use lynx to download a *huge* file (Latest Redhat beta iso images) 
over ftp, it leaks memory.

How reproducible:
Always

Steps to Reproduce:
1. Use lynx to download a huge file (650MB in my case).


Actual Results:  After about 300MB of download, the process killer from 
2.4.x kernel kicks in and (correctly) kills lynx for consuming too much 
memory.


Expected Results:  Lynx should be able to download as big files as my disk 
allows over ftp w/o problems.

Additional info:

I am running a 600MHz Duron on an FIC AZ11e motherboard, and 256MB of 
PC133 SDRAM.

Comment 1 Bernhard Rosenkraenzer 2001-08-09 13:35:54 UTC
This information won't be very useful if you're trying to download the new 
beta, but it's fixed in the current beta. ;)
Just downloaded the isos using lynx and its memory usage never exceeded 4 MB.




Note You need to log in before you can comment on or make changes to this bug.